models/Ejercicio1.php
<?php
namespace app\models;

use yii\base\Model;

class Ejercicio1 extends Model {
    public $numero1;
    
    
    
    
    public function attributeLabels() {
        return[
          "numero1" => "Escribe un numero del 1 al 100",
          
            ];
    }
    
    public function rules(){
        return [
            ['numero1','integer','min'=>1, 'max'=>100], //Con el integer le decimos que va a ser un numero
            ['numero1','required'] //para que sea obligatorio meter un dato
        ];
    }
    
}

models/Ejercicio2.php
<?php

namespace app\models;

use yii\base\Model;


class Ejercicio2 extends Model{
   public $numero1;
   
   
   public function attributeLabels() {
       return [
         "numero1" => 'Escribe un numero mayor que 10',
       ];
   }
   
    public function rules(){
        return [
            ['numero1','integer','min'=>10, 'max'=>100], //Con el integer le decimos que va a ser un numero
            ['numero1','required'] //para que sea obligatorio meter un dato
        ];
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }

    public function actionEjercicio1(){
        $model = new \app\models\Ejercicio1();

    if ($model->load(Yii::$app->request->post())) {
        if ($model->validate()) {
            //Introducimos el bucle FOR
            $salida='';
            for($c=1;$c<=$model->numero1;$c++){
                $salida=$salida.'<br>'.$c;
            }
            return $this->render('resultadoEjercicio1',[
              'salida'=>$salida,  
            ]);
        } 
    }

    return $this->render('ejercicio1', [
        'model' => $model,
    ]);
    }
    
    public function actionEjercicio2(){
            $model = new \app\models\Ejercicio2();

    if ($model->load(Yii::$app->request->post())) {
        if ($model->validate()) {
             $salida=''; //Inicializamos la variable
            for($c=$model->numero1;$c>=1;$c--){//Creamos el bucle FOR descendente
              $salida=$salida.'<br>'.$c;
            }
            return $this->render('resultadoEjercicio2',[
              'salida'=>$salida,  
            ]);
        }
    }

    return $this->render('ejercicio2', [
        'model' => $model,
    ]);
    }
    
    public function actionEjercicio3(){
        return $this->render('ejercicio3');
    }
    
    public function actionEjercicio4(){
        return $this->render('ejercicio4');
    }
}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\assets\AppAsset;
use app\widgets\Alert;
use yii\bootstrap4\Breadcrumbs;
use yii\bootstrap4\Html;
use yii\bootstrap4\Nav;
use yii\bootstrap4\NavBar;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>" class="h-100">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body class="d-flex flex-column h-100">
<?php $this->beginBody() ?>

<header>
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar navbar-expand-md navbar-dark bg-dark fixed-top',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav'],
        'encodeLabels'=>false,
        'items' => [
            ['label' => '<i class="fab fa-accessible-icon"></i> casa', 'url' => ['/site/index']],
            ['label' => '<i class="fas fa-biohazard"></i> Ejercicio 1', 'url' => ['/site/ejercicio1']],
            ['label' => '<i class="fab fa-creative-commons-nc-eu"></i> Ejercicio 2', 'url' => ['/site/ejercicio2']],
            ['label' => '<i class="fab fa-chromecast"></i> Ejercicio 3', 'url' => ['/site/ejercicio3']],
            ['label' => '<i class="fas fa-dragon"></i> Ejercicio 4', 'url' => ['/site/ejercicio4']],
        ],
    ]);
    NavBar::end();
    ?>
</header>

<main role="main" class="flex-shrink-0">
    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</main>

<footer class="footer mt-auto py-3 text-muted">
    <div class="container">
        <p class="float-left">Desarrollo curso Programación Orientada a Objetos</p>
        <p class="float-right">Fernando Martínez Beceiro.</p>
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>

views/site/ejercicio1.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\Ejercicio1 */
/* @var $form ActiveForm */
?>
<div class="site-ejercicio1">

    <?php $form = ActiveForm::begin(); ?>

        <?= $form->field($model, 'numero1') ?>
    
        <div class="form-group">
            <?= Html::submitButton('Submit', ['class' => 'btn btn-primary']) ?>
        </div>
    <?php ActiveForm::end(); ?>

</div><!-- site-ejercicio1 -->

views/site/ejercicio2.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\Ejercicio2 */
/* @var $form ActiveForm */
?>
<div class="site-ejercicio2">

    <?php $form = ActiveForm::begin(); ?>
    
    <?= $form->field($model, 'numero1') ?>

    
        <div class="form-group">
            <?= Html::submitButton('Submit', ['class' => 'btn btn-primary']) ?>
        </div>
    <?php ActiveForm::end(); ?>

</div><!-- site-ejercicio2 -->

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p><h1> Reinicia el sistema </h1></p>
</div>

views/site/index.php
<?php

/* @var $this yii\web\View */

$this->title = 'My Yii Application';
?>
<div class="site-index">

    <div class="jumbotron text-center bg-transparent">
        <h1 class="display-4">Congratulations!</h1>

        <p class="lead"><h2>¡Vamos a realizar un ejercicio!</h2></p>

       
    </div>

    <div class="body-content">

        <div class="row">
            
            </div>
        </div>

    </div>

views/site/resultadoEjercicio1.php
<div align="center">
<?php
echo $salida;
?>
</div>

views/site/resultadoEjercicio2.php
<div align="center">
<?= $salida; ?>
</div>